import request from '@/utils/request'

// 流程图

// 流程图节点信息
export function getBpmnZkNodeList(data) { //记录查询
    return request({
        url: "/zkNode/list",
        method: 'get',
        params: data
    })
}
export function getBpmnZkNodeTreeList(data) { //获取树形结构
    return request({
        url: "/zkNode/treeList",
        method: 'get',
        params: data
    })
}
export function addBpmnZkNode(data) { //节点新增
    return request({
        url: "/zkNode/",
        method: 'post',
        data: data
    })
}
export function updataBpmnZkNode(data) { //节点修改
    return request({
        url: "/zkSystemDoc",
        method: 'put',
        data: data
    })
}
// zkHiTask/page

// 节点-流程关联

export function getBpmnZkReNodeProcdefTreeList(data) { //记录查询
    return request({
        url: "/zkReNodeProcdef/treeList",
        method: 'get',
        params: data
    })
}
export function getBpmnZkReNodeProcdefCheckedTreeList(data) { //获取流程选中的节点信息
    return request({
        url: "/zkReNodeProcdef/checkedTreeList",
        method: 'get',
        params: data
    })
}
export function getBpmnZkReNodeProcdefListByPorcedfId(data) { //获取选中的节点信息
    return request({
        url: "/zkReNodeProcdef/listByPorcedfId",
        method: 'get',
        params: data
    })
}



// 流程定义表(以后可能会扩张流程部署表和资源信息表)

export function getBpmnZkReProcdefList(data) { //记录查询
    return request({
        url: "/zkReProcdef/list",
        method: 'get',
        params: data
    })
}
export function addBpmnZkReProcdef(data) { //新增
    return request({
        url: "/zkReProcdef/",
        method: 'post',
        data: data
    })
}
export function updataBpmnZkReProcdef(data) { //修改
    return request({
        url: "/zkReProcdef/",
        method: 'put',
        data: data
    })
}
export function delBpmnZkReProcdef(data) {
    return request({
        url: "/zkReProcdef/" + data,
        method: 'delete',
    })
}


//历史流程定义执行记录
export function zkHiExecutionPage(data) { //记录查询
    return request({
        url: "/zkHiExecution/page",
        method: 'get',
        params: data
    })
}
// 历史任务执行记录
export function zkHiTaskPage(data) { //记录查询
    return request({
        url: "/zkHiTask/page",
        method: 'get',
        params: data
    })
}



//立即执行
export function zkReProcdefRun(data) { //新增
    return request({
        url: "/zkReProcdef/run",
        method: 'post',
        data: data
    })
}

//单独修改运行状态
export function zkReProcdefStatus(data) { //新增
    return request({
        url: "/zkReProcdef/updateStatus",
        method: 'put',
        data: data
    })
}




















export function addB(data) {
    return request({
        url: "/zkSystemDoc",
        method: 'post',
        data: data
    })
}
export function delZkSystemDoc(data) {
    return request({
        url: "/zkSystemDoc/" + data,
        method: 'delete',
    })
}
export function updataZkSystemDoc(data) {
    return request({
        url: "/zkSystemDoc",
        method: 'put',
        data: data
    })
}
export function getZkSystemDoc(data) {
    return request({
        url: "/zkSystemDoc/list",
        method: 'get',
        params: data
    })
}

// 导出
export function exportZkSystemDoc(data) {
    return request({
        url: '/zkSystemDoc/export',
        method: 'get',
        params: data,
    })
}